Build script adjustments

Based on Apple's documentation (https://developer.apple.com/library/content/
documentation/Security/Conceptual/CodeSigningGuide/Procedures/Procedures.html)
custom paths must not be used for binaries, as they are left unsigned by
codesign app.

Change-Id: I628a3a9da15dfdbbf515b4c16a3d38590ae433f5
diff --git a/res/bin/ndn b/res/bin/ndn
new file mode 100755
index 0000000..1ced1b6
--- /dev/null
+++ b/res/bin/ndn
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+function usage() {
+    echo
+    echo Available commands:
+    for command in $(ls /Applications/NDN.app/Contents/Helpers/ 2>/dev/null); do
+        echo "  $command"
+    done
+    for command in $(ls /Applications/NDN.app/Contents/Resources/bin/ 2>/dev/null); do
+        echo "  $command"
+    done
+}
+
+if [[ $# -eq 0 ]]; then
+    echo ERROR: No command is specified
+    usage
+    exit 1
+fi
+
+if [[ -f /Applications/NDN.app/Contents/Helpers/"$1" ]]; then
+    /Applications/NDN.app/Contents/Helpers/"$@"
+elif [[ -f /Applications/NDN.app/Contents/Resources/bin/"$1" ]]; then
+    /Applications/NDN.app/Contents/Resources/bin/"$@"
+else
+    echo ERROR: Unknown is specified
+    usage
+    exit 1
+fi
diff --git a/res/ndn b/res/ndn
deleted file mode 100755
index 50f4921..0000000
--- a/res/ndn
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-if [[ $# -eq 0 ]] || [[ ! -f /Applications/NDN.app/Contents/Platform/"$1" ]] ; then
-    echo ERROR: No command or invalid command is specified
-    echo
-    echo Available commands:
-    for command in $(ls /Applications/NDN.app/Contents/Platform/ 2>/dev/null); do
-        echo "  $command"
-    done
-    exit 1
-fi
-
-/Applications/NDN.app/Contents/Platform/"$@"